import 'package:flutter/material.dart';
import 'package:tencent_live_fluttify/src/facade/tencent_live_controller.dart';

typedef Future<void> OnLiveWidgetCreated(TencentLiveController controller);

class TencentLiveWidget extends StatelessWidget {
  const TencentLiveWidget({
    Key key,
    @required this.pushUrl,
    this.enableTouchFocus,
    this.onLiveWidgetCreated,
  }) : super(key: key);

  /// 推流地址
  final String pushUrl;

  /// 手动对焦还是自动对焦
  final bool enableTouchFocus;

  /// widget创建完成回调
  final OnLiveWidgetCreated onLiveWidgetCreated;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Text('未实现的平台'),
    );
  }
}
